Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.assemblerbroker
Class TurbineAssemblerBroker

    java.lang.Object
      org.apache.turbine.services.assemblerbroker.TurbineAssemblerBroker

    public abstract class TurbineAssemblerBroker

extends Object

An interface the Turbine Assembler service. See TurbineAssemblerBrokerService for more info.

Version:
  $Id: TurbineAssemblerBroker.java 743071 2009-02-10 19:37:33Z tv $
Author:
  Leon Messerschmidt, Henning P. Schmiedehausen

Constructor Summary
`TurbineAssemblerBroker()`

Method Summary
`static Assembler` | `getAssembler(String type, String name)` Return an Assembler for a given type and object name.
`static Loader` | `getLoader(String type)` Get a Loader for the given assembler type
`static AssemblerBrokerService` | `getService()` Utility method for accessing the service implementation
`static void` | `registerFactory(String type, AssemblerFactory factory)` Register a new Assembler factory with this service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TurbineAssemblerBroker

    public TurbineAssemblerBroker()

Method Detail

### getService

    public static AssemblerBrokerService getService()

  Utility method for accessing the service implementation

  Returns:
    An AssemblerBroker implementation instance

### registerFactory

    public static void registerFactory(String type,
                                       AssemblerFactory factory)

  Register a new Assembler factory with this service.

  Parameters:
    `type` - The type of Assembler Factory
    `factory` - The actual Factory Object

### getAssembler

    public static Assembler getAssembler(String type,
                                         String name)
                                  throws TurbineException

  Return an Assembler for a given type and object name.

  Parameters:
    `type` - The Type of Assember we want
    `name` - The name of the Assembler
  Returns:
    An Assembler Object.
  Throws:
    `TurbineException` - If a problem locating the Assember occured.

### getLoader

    public static Loader getLoader(String type)

  Get a Loader for the given assembler type

  Parameters:
    `type` - The Type of the Assembler
  Returns:
    A Loader instance for the requested type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.